// $Id: themesettings_ui_extras.js,v 1.1.2.8 2011/01/10 01:13:55 andrewmacpherson Exp $

/**
 * @file
 *
 * UI enhancement for Logo and Shortcut icon fields on theme settings pages.
 *
 * Shows the custom path/upload fields when custom logo/favicon display option
 * is selected; otherwise hides these fields.
 */

/**
 * Set up radio button behaviours for logo and favicon settings
 */
Drupal.behaviors.themesettingsRadios = function(){
	
  $(":radio[@name$='_display']:not('.themesettings-radios-processed')")
    .click( function() {
      Drupal.themesettingsToggleCustomFile(this);
    })
    .addClass('themesettings-radios-processed')
  	.filter(':checked')
    .each( function() { // initialize toggle state
      Drupal.themesettingsToggleCustomFile(this);
    });
};

/**
 * Helper function to show-or-hide custom file and path fields
 */
Drupal.themesettingsToggleCustomFile = function(el) {
	
  var fieldset = $(el).parents('fieldset').filter(':first');

  if ($('[id$="-display-custom"]', fieldset).is(":checked")) {
    $('[id$="-path-wrapper"], [id$="-upload-wrapper"]', fieldset).show("fast");
  }
  else {
    $('[id$="-path-wrapper"], [id$="-upload-wrapper"]', fieldset).hide("fast");
  }
};